require "rails_helper"

RSpec.describe Settings::AccountsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/accounts").to route_to("settings/accounts#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/accounts/new").to route_to("settings/accounts#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/accounts/1").to route_to("settings/accounts#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/accounts/1/edit").to route_to("settings/accounts#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/accounts").to route_to("settings/accounts#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/accounts/1").to route_to("settings/accounts#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/accounts/1").to route_to("settings/accounts#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/accounts/1").to route_to("settings/accounts#destroy", :id => "1")
    end

  end
end
